summaryrefslogtreecommitdiffstats
path: root/libraries/faun
diff options
context:
space:
mode:
author B. Watson <urchlay@slackware.uk>2023-01-13 21:32:43 +0000
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2023-01-14 08:50:11 +0700
commit3161c2219c999f1ed15a895c1ac64ef69cd30591 (patch)
tree29bf0d0d7bc8d4eaa2f9044994f308e431d2d433 /libraries/faun
parent10327712d635050bdcb21b44e5563e6b2177f73f (diff)
downloadslackbuilds-3161c2219c999f1ed15a895c1ac64ef69cd30591.tar.gz
slackbuilds-3161c2219c999f1ed15a895c1ac64ef69cd30591.tar.xz
libraries/faun: Added (audio playback library)
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries/faun')
-rw-r--r--libraries/faun/README6
-rw-r--r--libraries/faun/faun.SlackBuild83
-rw-r--r--libraries/faun/faun.info10
-rw-r--r--libraries/faun/slack-desc19
4 files changed, 118 insertions, 0 deletions
diff --git a/libraries/faun/README b/libraries/faun/README
new file mode 100644
index 0000000000..afa30d84a7
--- /dev/null
+++ b/libraries/faun/README
@@ -0,0 +1,6 @@
+faun (audio playback library)
+
+Faun is a high-level C API for playback of sound & music in games &
+demos. It is a modestly sized library designed to use pre-packaged
+audio and is not intended for synthesizer or audio manipulation
+applications.
diff --git a/libraries/faun/faun.SlackBuild b/libraries/faun/faun.SlackBuild
new file mode 100644
index 0000000000..57deafc217
--- /dev/null
+++ b/libraries/faun/faun.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/bash
+
+# Slackware build script for faun
+
+# Written by B. Watson (urchlay@slackware.uk)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# Note: This exists because it's a dependency of xu4. I probably won't
+# update it unless/until an xu4 update requires a newer version of
+# faun. I will not update it, if the update would break the xu4 build.
+# I'm not sure anything else uses faun, anyway.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=faun
+VERSION=${VERSION:-0.1.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+sed -i "s,-O3,$SLKCFLAGS," Makefile
+
+# Note: *not* a GNU autoconf script, does not support standard options.
+# Also the Makefile doesn't use DESTDIR in the canonical way (it's
+# more like PREFIX).
+./configure --prefix /usr
+make
+make install DESTDIR=$PKG/usr
+
+PKGDOC=$PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKGDOC
+cp -a COPYING README* example $PKGDOC
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/libraries/faun/faun.info b/libraries/faun/faun.info
new file mode 100644
index 0000000000..b119a51f31
--- /dev/null
+++ b/libraries/faun/faun.info
@@ -0,0 +1,10 @@
+PRGNAM="faun"
+VERSION="0.1.2"
+HOMEPAGE="https://github.com/WickedSmoke/faun/"
+DOWNLOAD="https://github.com/WickedSmoke/faun/archive/v0.1.2/faun-0.1.2.tar.gz"
+MD5SUM="5bbbc15ae73a32d86f7999f9845752a3"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="urchlay@slackware.uk"
diff --git a/libraries/faun/slack-desc b/libraries/faun/slack-desc
new file mode 100644
index 0000000000..463deb6de4
--- /dev/null
+++ b/libraries/faun/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+faun: faun (audio playback library)
+faun:
+faun: Faun is a high-level C API for playback of sound & music in games &
+faun: demos. It is a modestly sized library designed to use pre-packaged
+faun: audio and is not intended for synthesizer or audio manipulation
+faun: applications.
+faun:
+faun:
+faun:
+faun:
+faun: